Page MenuHomePhabricator

CSS format issue in vector skin, Burmese Language in wikipedia
Closed, ResolvedPublic

Description

Line underneath heading obstructs some characters in Burmese.
Sample page is https://my.wikipedia.org/wiki/User:Maykalay/vector_heading_character_cropping_test_case.
It works on monobook but not in vector.

Monobook;


Vector;

Event Timeline

Maykalay created this task.Apr 27 2018, 8:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2018, 8:10 PM
Maykalay updated the task description. (Show Details)Apr 27 2018, 8:11 PM
jeremyb added a subscriber: jeremyb.EditedApr 27 2018, 9:16 PM

<H2> text is also cropped by the line in timeless skin.

Volker_E added a subscriber: Volker_E.

I guess that line-height: normal would fix this. What browser do you use in the example, @Maykalay? Not (completely) reproducible on Firefox or Chrome/MacOS.

Change 434898 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/Vector@master] Don't crop Burmese language headers

https://gerrit.wikimedia.org/r/434898

@Volker_E , I used chrome. I didn't think it's "Not (completely) reproducible".

@Maykalay That's what is rendered in latest Chrome/MacOS


So it's not cropped, although it's very close to the border-bottom. Anyways my patch set should resolve it also in your setting.

Volker_E moved this task from Backlog to Typography on the Vector board.May 24 2018, 11:28 PM

Change 434898 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Don't crop Burmese language headers

https://gerrit.wikimedia.org/r/434898

Volker_E closed this task as Resolved.May 29 2018, 10:31 AM
Volker_E claimed this task.
Volker_E removed projects: Patch-For-Review, Timeless.

Timeless issue is split up into T195822.

Vvjjkkii renamed this task from CSS format issue in vector skin, Burmese Language in wikipedia to p2daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Volker_E as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from p2daaaaaaa to CSS format issue in vector skin, Burmese Language in wikipedia.Jul 2 2018, 4:35 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Volker_E.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.